**Notice: This code is several years old. It might not work.**

# CHOTT-Android-App
Creative Hobby Occurrence Time Tracker

Time tracking app made as a final project for DePaul University's Android development course. Built with Android Studios 1.3.2 and targeted for at least Android 4.2 Jelly Bean or higher (API Level 17). Intentionally designed for Android 6.0 Marshmellow (API Level 23).

Original design plan can be read in `DesignPlan/` folder. Instructions on usng the app can be found in `ChottDocumentaion.pdf`. My experience developing the app can be read in `DevelopmentInsights.pdf`.

### Features

 - Track the time used doing your hobbies
 - Hobbies exist in 4 categories: Code, Art, Music, and Writing
 - Add new hobbies to one of the 4 categories
 - View a history of the time spent on your hobbies
 
### Missing

 - Ability to delete a hobby
 - Ability to rename a hobby
 - Ability to delete a session (time spent on a hobby in one "sitting")

There may be other things I forgot to mention here.

### Screenhots

![Category Selection Screen](https://codeberg.org/jibran.syed/CHOTT-Android-App/raw/branch/master/Screenshots/ChottCategorySelection.png)

![Project Selection Screen for Category 'Code'](https://codeberg.org/jibran.syed/CHOTT-Android-App/raw/branch/master/Screenshots/ChottProjectSelectionCode.png)

![Session Timer for Project 'C++'](https://codeberg.org/jibran.syed/CHOTT-Android-App/raw/branch/master/Screenshots/ChottProjectSessionTimer.png)

![Session History Screen for Project 'C++'](https://codeberg.org/jibran.syed/CHOTT-Android-App/raw/branch/master/Screenshots/ChottProjectHistoryAfterNewEntry.png)
